%global gem_name i18n

Summary: New wave Internationalization support for Ruby
Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 2%{?dist}
Group: Development/Languages
License: MIT and (GPLv2 or Ruby)
URL: http://github.com/svenfuchs/i18n
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: rubygem-i18n-0.6.6-I18n::MissingTranslation-exception-escapes-key-names-for-its-html_message.patch
Requires: ruby(rubygems)
Requires: ruby(abi) = 1.9.1
BuildRequires: ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(test_declarative)
# TODO: Circular dependency with active support.
#BuildRequires: rubygem(activesupport)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby Internationalization and localization solution.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
# Avoid some encoding complaints.
# https://github.com/svenfuchs/i18n/issues/176
LANG=en_US.utf8 %gem_install -n %{SOURCE0}

pushd .%{gem_instdir}
%patch0 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
chmod -x %{buildroot}%{gem_instdir}/MIT-LICENSE
chmod -x %{buildroot}%{gem_libdir}/i18n.rb

%check
pushd .%{gem_instdir}

# Bundler just complicates everything in our case, remove it.
sed -i -e "s|require 'bundler/setup'||" test/test_helper.rb
# workaround for failing test - but I consider it to be a bug,
# upstream fix doesn't work
# see https://github.com/svenfuchs/i18n/issues/114#issuecomment-7065131
echo ' ' > test/test_data/locales/invalid/empty.yml
# Tests are failing without LANG environment is set.
# https://github.com/svenfuchs/i18n/issues/115
LANG=en_US.utf8 testrb -Ilib test/all.rb
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/README.textile
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/CHANGELOG.textile
%{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/ci
%{gem_instdir}/test
%doc %{gem_docdir}


%changelog
* Mon Dec 09 2013 Vít Ondruch <vondruch@redhat.com> - 0.6.0-2
- Fix cross-site scripting flaw in exception handling (CVE-2013-4492).

* Wed Jul 18 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-1
- Update to I18n 0.6.0.
- Removed unneeded %%defattr usage.

* Thu Jan 19 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.0-3
- Rebuilt for Ruby 1.9.3.
- Enabled test suite.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.0-1
- Update to i18n 0.5.0.
- Documentation moved into subpackage.
- Removed unnecessary cleanup.
- Preparetion for test suite execution during build.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Jozef Zigmund <jzigmund@redhat.com> - 0.4.2-2
- Add GPLv2 or Ruby License
- Files MIT-LICENSE, geminstdir/lib/i18n.rb are non executable now

* Thu Nov 11 2010 Jozef Zigmund <jzigmund@redhat.com> - 0.4.2-1
- Initial package
